summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Hüttel <dilfridge@gentoo.org>2011-01-12 21:24:58 +0000
committerAndreas Hüttel <dilfridge@gentoo.org>2011-01-12 21:24:58 +0000
commitcb2faab917bb36ff1bc876abff2cabded1ce3577 (patch)
tree4e37c9fd6c6b394123066e94afb177aa1cbc595d /eclass
parentVersion bump (diff)
downloadhistorical-cb2faab917bb36ff1bc876abff2cabded1ce3577.tar.gz
historical-cb2faab917bb36ff1bc876abff2cabded1ce3577.tar.bz2
historical-cb2faab917bb36ff1bc876abff2cabded1ce3577.zip
Only show the developers the tar unpack warnings (I_KNOW_WHAT_I_AM_DOING)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde4-meta.eclass9
1 files changed, 7 insertions, 2 deletions
diff --git a/eclass/kde4-meta.eclass b/eclass/kde4-meta.eclass
index 97593ec693ec..0da5f709825c 100644
--- a/eclass/kde4-meta.eclass
+++ b/eclass/kde4-meta.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.47 2010/12/29 17:56:34 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.48 2011/01/12 21:24:58 dilfridge Exp $
#
# @ECLASS: kde4-meta.eclass
# @MAINTAINER:
@@ -253,7 +253,12 @@ kde4-meta_src_extract() {
pushd "${WORKDIR}" > /dev/null
[[ -n ${KDE4_STRICTER} ]] && echo tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist}
- tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} || ewarn "tar extract command failed at least partially - continuing anyway"
+ if [[ ${I_KNOW_WHAT_I_AM_DOING} ]]; then
+ # to make the devs happy - bug 338397
+ tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} || ewarn "tar extract command failed at least partially - continuing anyway"
+ else
+ tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} 2> /dev/null || echo "tar extract command failed at least partially - continuing anyway"
+ fi
# Default $S is based on $P; rename the extracted directory to match $S if necessary
mv ${topdir} ${P} || die "Died while moving \"${topdir}\" to \"${P}\""